using SqlSugar;
using System;

namespace DeviceRepair.Models.Plan
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("DriveMaintencePlanDaily")]
    public class DriveMaintencePlanDailyInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid Guid { get; set; }

        /// <summary>
        /// 设备编号 
        ///</summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public int? EquipmentID { get; set; }

        /// <summary>
        /// 预计保养日期 
        ///</summary>
        [SugarColumn(ColumnName = "CompleteDate")]
        public DateTime? CompleteDate { get; set; }

        /// <summary>
        /// 保养年份 
        ///</summary>
        [SugarColumn(ColumnName = "MaintenanceYear")]
        public int? MaintenanceYear { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "MaintenanceDate")]
        public int? MaintenanceDate { get; set; }

        /// <summary>
        /// 保养类型(Semi-an、Quarterly、Annual、Monthly) 
        ///</summary>
        [SugarColumn(ColumnName = "MaintenanceType")]
        public string MaintenanceType { get; set; }

        /// <summary>
        /// 新PM起始月份 
        ///</summary>
        [SugarColumn(ColumnName = "PMStartMonth")]
        public DateTime? PMStartMonth { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "PlanStatus")]
        public string PlanStatus { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatDate")]
        public DateTime? CreatDate { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatUser")]
        public int? CreatUser { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ChangeDate")]
        public DateTime? ChangeDate { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ChangeUser")]
        public int? ChangeUser { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Remarks")]
        public string Remarks { get; set; }

    }
}
